Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class AttributeSerializationContextImpl

    java.lang.Object
      org.apache.axis.encoding.SerializationContextImpl
          org.apache.axis.encoding.AttributeSerializationContextImpl

All Implemented Interfaces:
  SerializationContext, javax.xml.rpc.encoding.SerializationContext

public class AttributeSerializationContextImpl
extends SerializationContextImpl

Used to suppress element tag serialization when serializing simple types into attributes.

Author:
  Thomas Sandholm (sandholm@mcs.anl.gov)

Constructor Summary
`AttributeSerializationContextImpl(Writer writer, SerializationContext parent)`

Method Summary
`void` | `endDocument()` Output anything in the end.
`void` | `endElement()` Writes the end element tag for the open element.
`String` | `qName2String(javax.xml.namespace.QName qname)` Convert QName to a string of the form :
`void` | `startDocument()` Output anything in the beginning.
`void` | `startElement(javax.xml.namespace.QName qName, Attributes attributes)` Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

Methods inherited from class org.apache.axis.encoding.SerializationContextImpl
`attributeQName2String, getCurrentMessage, getCurrentXMLType, getDoMultiRefs, getElementStack, getMessageContext, getPrefixForURI, getPrefixForURI, getPrefixForURI, getPretty, getQNameForClass, getSerializerForJavaType, getTypeMapping, getTypeMappingRegistry, getValueAsString, isNoDefaultNamespace, isPrimitive, outputMultiRefs, qName2String, registerPrefixForURI, serialize, serialize, setDoMultiRefs, setNoDefaultNamespace, setPretty, setSendDecl, setTypeAttribute, shouldSendXSIType, writeChars, writeDOMElement, writeSafeString, writeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSerializationContextImpl

    public AttributeSerializationContextImpl(Writer writer,
                                             SerializationContext parent)

Method Detail

### startElement

    public void startElement(javax.xml.namespace.QName qName,
                             Attributes attributes)
                      throws IOException

  Description copied from class: `SerializationContextImpl`
  Writes (using the Writer) the start tag for element QName along with the indicated attributes and namespace mappings.

  Specified by:
    `startElement` in interface `SerializationContext`
  Overrides:
    `startElement` in class `SerializationContextImpl`
  Parameters:
    `qName` - is the name of the element
    `attributes` - are the attributes to write
  Throws:
    `IOException`

### endElement

    public void endElement()
                    throws IOException

  Description copied from class: `SerializationContextImpl`
  Writes the end element tag for the open element.

  Specified by:
    `endElement` in interface `SerializationContext`
  Overrides:
    `endElement` in class `SerializationContextImpl`
  Throws:
    `IOException`

### qName2String

    public String qName2String(javax.xml.namespace.QName qname)

  Description copied from interface: `SerializationContext`
  Convert QName to a string of the form :

  Specified by:
    `qName2String` in interface `SerializationContext`
  Overrides:
    `qName2String` in class `SerializationContextImpl`

### startDocument

    public void startDocument()
                       throws IOException

  Description copied from interface: `SerializationContext`
  Output anything in the beginning.

  Specified by:
    `startDocument` in interface `SerializationContext`
  Overrides:
    `startDocument` in class `SerializationContextImpl`
  Throws:
    `IOException`

### endDocument

    public void endDocument()
                     throws IOException

  Description copied from interface: `SerializationContext`
  Output anything in the end.

  Specified by:
    `endDocument` in interface `SerializationContext`
  Overrides:
    `endDocument` in class `SerializationContextImpl`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.